Subject: Re: [PATCH v6 net-next 01/14] pds_core: initial framework for pds_core PF driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Mar 2023 09:46:30 -0700

On Thu, 30 Mar 2023 00:43:56 -0700 Shannon Nelson wrote:
> On 3/29/23 7:27 PM, Jakub Kicinski wrote:
> > On Wed, 29 Mar 2023 13:53:23 -0700 Shannon Nelson wrote:  
> >> The devlink alloc and registration are obviously a part of the probe and
> >> thus device control setup, so I’m not sure why this is an issue.
> >>
> >> As is suggested in coding style, the smaller functions make for easier
> >> reading, and keeps the related locking in a nice little package.  Having
> >> the devlink registration code gathered in one place in the devlink.c
> >> file seems to follow most conventions, which then allows the helper
> >> functions to be static to that file.  This seems to be what about half
> >> the drivers that use devlink have chosen to do.  
> > 
> > It is precisely the painful experience of dealing with those drivers
> > when refactoring devlink code which makes me ask you to do it right.  
> 
> Is there a useful place where such guidance can be put to help future 
> folks from falling into the same traps?

Putting it mildly we have a reasonable expectation that any large
company will have at least one person reading the mailing list :(
Who's going to write the documentation you're asking about?
This is an open source project, let's be realistic..